* {
  margin: 0;
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root{
    --max-w:1000px;
    --main-color:#bae333;
    --light-color:#F2FFDB;
    --dark-color:#222222;
}

html,body{
    height:100%;
    margin:0;
    font-family:Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    color:#222;
    background-color:var(--main-color);
    scrollbar-width:none;
    --webkit-scrollbar-width:none;
}

.site{
    max-width:var(--max-w);
    margin:0 auto;
    display:flex;
    flex-direction:column;
    min-height:100vh;
    padding:0 16px;
}

header{
    padding:18px 0;
}


nav{
    display:flex;
    align-items:center;
    justify-content:flex-end;
}

#logo {
    float:left;
    height:50px;
    display:inline;
}

#logo img {
    height:100%;
    width:100%;
    object-fit:fill;
}

nav a{
    margin-left:18px;
    text-decoration:none;
    font-size:20px;
    color:var(--dark-color);
    background-color: var(--light-color);
    padding:10px;
    margin: 0px 0px 0px 20px;
    font: weight 4px;00;
    border-radius:10px;
    text-transform:lowercase;
    transition: 0.3s;
}

nav a:hover{
    background-color: var(--dark-color);
    color:var(--light-color);
    transition: 0.3s;
}

main{
    flex:1;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:left;
    padding:40px 8px;
}



footer{
    border-top:1px solid var(--dark-color);
    padding:20px 0
}

.hero{
    max-width:1000px;
    width:100%;
}

h1{
    font-size:80px;
    font-family:'Montserrat',sans-serif;
    font-weight:400;
    color:var(--dark-color);
}

h2{
    font-size:30px;
    color:var(--dark-color);
}

h3{
    font-size:20px;
    color:var(--dark-color);
}

.hero h1 > b{
    color:var(--light-color);
    font-weight:800;
    display:block;
}

.footer-grid{
    display:grid;
    grid-template-columns:1fr 1fr 1fr;
    gap:12px;
    align-items:start;
}

.copyright{
    color:var(--muted);
    font-size:0.95rem;
}

.social {
    text-align:center;
}

.social a{
    display:inline-block;
    margin-right:10px;
    color:var(--accent);
    text-decoration:none;
}

.muted{
    color:var(--muted);

}

.floatbox{
    display: grid;
    grid-template-columns: 5fr 3fr;
    gap:20px;
    font-size:20px;
}

#about {
    background-color:var(--light-color);
    border-radius: 10px;
}

#profile-pic img {
    max-width:100%;
    height:auto;
    display:block;
    margin:0 auto;
}


#profile-pic {
    width:auto;
    align-self:center;
    height:100%;
    background-image:url(images/chris.jpg);
    background-size:cover;
    background-position:center center;
}

#workgrid{
    display:grid;
    grid-template-columns: 1fr 1fr;
    gap:20px;
    width:auto;
    width:1000px;
    max-width:1000px;
}

.gridpic {
    background-color:var(--dark-color);
}

.gridtext {
        background-color:var(--light-color);
        padding:20px 20px;
        border-radius:10px;
}

.gridtext > h2 {
    margin-bottom:10px;}

.card {
    background-color:var(--light-color);
    padding:20px 20px;
    border-radius:10px;
}

@media (max-width:700px){

	.footer-grid{
        grid-template-columns:1fr;
        text-align:center;}
	nav a{
        margin-left:12px;
        margin-right:12px;
    }
    
    h1 {
        font-size:40px!important;
    }

.floatbox {
    display: grid;
    grid-template-columns: 1fr;
    gap:20px;
    font-size:20px;
}


#workgrid{
    display:grid;
    grid-template-columns: 1fr;
    gap:20px;
    width:auto;
    margin: 0 auto;
}
}

